package com.thinkgem.jeesite.modules.pay.entity;

import com.thinkgem.jeesite.common.baseBean.BaseEntity;

import java.io.Serializable;
import java.util.Date;

public class BenefitEntity extends BaseEntity implements Serializable {
    private String userCode; // 用户code
    private String orderCode; // 订单code
    private String payChannel; // 来源渠道
    private String benefitStatus; // 分润状态 0不可提现 1可以提现
    private String benefitType; // 分润类型 A收益 M提现
    private String amount; // 金额
    private String cardCode; // 提现卡code

    private String startTime;

    private String endTime;

    private OrderEntity orderEntity;

    private String createDate;

    public BenefitEntity() {
    }

    public BenefitEntity(String code, String userCode, String orderCode, String payChannel, String benefitStatus, String benefitType, String amount, String cardCode) {
        this.setCode(code);
        this.userCode = userCode;
        this.orderCode = orderCode;
        this.payChannel = payChannel;
        this.benefitStatus = benefitStatus;
        this.benefitType = benefitType;
        this.amount = amount;
        this.cardCode = cardCode;
        this.setCreatedUser("sys");
        this.setModifiedUser("sys");
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getBenefitStatus() {
        return benefitStatus;
    }

    public void setBenefitStatus(String benefitStatus) {
        this.benefitStatus = benefitStatus;
    }

    public String getBenefitType() {
        return benefitType;
    }

    public void setBenefitType(String benefitType) {
        this.benefitType = benefitType;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCardCode() {
        return cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public OrderEntity getOrderEntity() {
        return orderEntity;
    }

    public void setOrderEntity(OrderEntity orderEntity) {
        this.orderEntity = orderEntity;
    }
    public String getCreateDate() {
        return createDate;
    }
    public void setCreateDate(String createDate) {
        if(createDate!=null && createDate.length() == 21){
            createDate = createDate.substring(0,19);
        }
        this.createDate = createDate;
    }

}
